Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.server
Class AbstractWebImplicitObjects

    java.lang.Object
      org.apache.cactus.internal.server.AbstractWebImplicitObjects

All Implemented Interfaces:
  ImplicitObjects, WebImplicitObjects

Direct Known Subclasses:
  FilterImplicitObjects, ServletImplicitObjects

public abstract class AbstractWebImplicitObjects
extends java.lang.Object
implements WebImplicitObjects

Holder class that contains the instances of the implicit objects that exist for all web requests. Namely they are `HttpServletRequest`, `HttpServletResponse` and `ServletContext`.

Version:
  $Id: AbstractWebImplicitObjects.java 238991 2004-05-22 11:34:50Z vmassol $

Field Summary
`protected javax.servlet.ServletContext` | `context` The Context object.
`protected javax.servlet.http.HttpServletRequest` | `request` The HTTP request object.
`protected javax.servlet.http.HttpServletResponse` | `response` The HTTP response object.

Constructor Summary
`AbstractWebImplicitObjects()`

Method Summary
`javax.servlet.http.HttpServletRequest` | `getHttpServletRequest()`
`javax.servlet.http.HttpServletResponse` | `getHttpServletResponse()`
`javax.servlet.ServletContext` | `getServletContext()`
`void` | `setHttpServletRequest(javax.servlet.http.HttpServletRequest theRequest)`
`void` | `setHttpServletResponse(javax.servlet.http.HttpServletResponse theResponse)`
`void` | `setServletContext(javax.servlet.ServletContext theContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request

    protected javax.servlet.http.HttpServletRequest request

  The HTTP request object.

### response

    protected javax.servlet.http.HttpServletResponse response

  The HTTP response object.

### context

    protected javax.servlet.ServletContext context

  The Context object.

Constructor Detail

### AbstractWebImplicitObjects

    public AbstractWebImplicitObjects()

Method Detail

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Specified by:
    `getServletContext` in interface `WebImplicitObjects`
  Returns:
    the `ServletContext` implicit object

### setServletContext

    public void setServletContext(javax.servlet.ServletContext theContext)

  Specified by:
    `setServletContext` in interface `WebImplicitObjects`
  Parameters:
    `theContext` - the `ServletContext` implicit object

### getHttpServletResponse

    public javax.servlet.http.HttpServletResponse getHttpServletResponse()

  Specified by:
    `getHttpServletResponse` in interface `WebImplicitObjects`
  Returns:
    the `HttpServletResponse` implicit object

### setHttpServletResponse

    public void setHttpServletResponse(javax.servlet.http.HttpServletResponse theResponse)

  Specified by:
    `setHttpServletResponse` in interface `WebImplicitObjects`
  Parameters:
    `theResponse` - the `HttpServletResponse` implicit object

### getHttpServletRequest

    public javax.servlet.http.HttpServletRequest getHttpServletRequest()

  Specified by:
    `getHttpServletRequest` in interface `WebImplicitObjects`
  Returns:
    the `HttpServletRequest` implicit object

### setHttpServletRequest

    public void setHttpServletRequest(javax.servlet.http.HttpServletRequest theRequest)

  Specified by:
    `setHttpServletRequest` in interface `WebImplicitObjects`
  Parameters:
    `theRequest` - the `HttpServletRequest` implicit object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.